org.keycloak.models.mongo.keycloak.adapters

## Class MigrationModelAdapter

- java.lang.Object
- - org.keycloak.models.mongo.keycloak.adapters.AbstractMongoAdapter<MongoMigrationModelEntity>
  - - org.keycloak.models.mongo.keycloak.adapters.MigrationModelAdapter

- All Implemented Interfaces:
    MigrationModel

      public class MigrationModelAdapter
      extends AbstractMongoAdapter<MongoMigrationModelEntity>
      implements MigrationModel

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected MongoMigrationModelEntity` | `entity`

    - ### Fields inherited from class org.keycloak.models.mongo.keycloak.adapters.AbstractMongoAdapter

      `invocationContext`

    - ### Fields inherited from interface org.keycloak.migration.MigrationModel

      `LATEST_VERSION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MigrationModelAdapter(KeycloakSession session, MongoMigrationModelEntity entity, MongoStoreInvocationContext invContext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MongoMigrationModelEntity` | `getMongoEntity()`
    `String` | `getStoredVersion()`
    `void` | `setStoredVersion(String version)`

    - ### Methods inherited from class org.keycloak.models.mongo.keycloak.adapters.AbstractMongoAdapter

      `equals, getMongoStore, hashCode, updateMongoEntity`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### entity

          protected final MongoMigrationModelEntity entity

  - ### Constructor Detail

    - #### MigrationModelAdapter

          public MigrationModelAdapter(KeycloakSession session,
                                       MongoMigrationModelEntity entity,
                                       MongoStoreInvocationContext invContext)

  - ### Method Detail

    - #### getMongoEntity

          public MongoMigrationModelEntity getMongoEntity()

      Specified by:
        `getMongoEntity` in class `AbstractMongoAdapter<MongoMigrationModelEntity>`

    - #### getStoredVersion

          public String getStoredVersion()

      Specified by:
        `getStoredVersion` in interface `MigrationModel`

    - #### setStoredVersion

          public void setStoredVersion(String version)

      Specified by:
        `setStoredVersion` in interface `MigrationModel`

Copyright © 2016 JBoss by Red Hat. All rights reserved.